Arch Bâtiment

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Building and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎українська • ‎日本語
Arrow-left.svg Page précédente: Arch BuildingPart.svg Partie de bâtiment
Page suivante: Site Arch Site.svg Arrow-right.svg

Arch Building.svg Arch Bâtiment

Emplacement du menu
Arch → Bâtiment
Ateliers
Arch
Raccourci par défaut
B U
Introduit dans la version
-
Voir aussi
Arch Partie de bâtiment, Arch Site

Description

Arch Building (Bâtiment) est un type spécial d'objet de groupe FreeCAD particulièrement adapté pour représenter une unité de construction entière. Ils sont principalement utilisés pour organiser votre modèle, en contenant des objets Arch Niveaux.

Utilisation

  1. Optionnellement, sélectionnez un ou plusieurs objets que vous voulez inclure dans votre nouveau bâtiment
  2. Pressez le bouton Arch Building.svg Crée un objet bâtiment... ou appuyez sur les touches B puis U.

Options

  • À partir de FreeCAD version 0.18, l'objet Building est en réalité une Arch Partie de bâtiment (BuildingPart) avec sa propriété DonnéesIFC Type définie sur "Building". Vous pouvez convertir n'importe quelle BuildingPart en un bâtiment simplement en modifiant son Type IFC.
  • Après la création du bâtiment, vous pouvez ajouter un ou plusieurs objets que vous pouvez copier/coller dans la vue arborescente ou utilisez l'outil Arch Add.svg Arch Ajouter.
  • Vous pouvez effacer le bâtiment que vous avez copier/coller dans la vue arborescente ou utiliser l'outil Arch Remove.svg Arch Soustraire.

Propriétés

  • DonnéesBuilding Type: Le type de ce bâtiment, à choisir dans une liste.

Script

Voir aussi: Arch API et FreeCAD Scripts de Base.

L'outil Bâtiment peut être utilisé à l'intérieur d'une macros et à partir de la console Python en utilisant la fonction suivante:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Crée un objet Building à partir de objectlist qui est une liste d'objets ou de baseobj qui est un Shape.

Exemple:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch BuildingPart.svg Partie de bâtiment
Page suivante: Site Arch Site.svg Arrow-right.svg